decbin
decoct
Math Functions
PHP Manual

# dechex

(PHP 4, PHP 5)

dechex — Decimal to hexadecimal

### Description

string dechex ( int `$number` )

Returns a string containing a hexadecimal representation of the given unsigned `number` argument.

The largest number that can be converted is `PHP_INT_MAX` * 2 + 1 (or -1): on 32-bit platforms, this will be 4294967295 in decimal, which results in dechex() returning ffffffff.

### Parameters

`number`

  The decimal value to convert.

  As PHP's integer type is signed, but dechex() deals with unsigned integers, negative integers will be treated as though they were unsigned.

### Return Values

Hexadecimal string representation of `number`.

### Examples

Example #1 dechex() example

`<?php
echo dechex(10) . "\n";
echo dechex(47);
?>`

The above example will output:

    a
    2f

Example #2 dechex() example with large integers

`<?php
// The output below assumes a 32-bit platform.
// Note that the output is the same for all values.
echo dechex(-1)."\n";
echo dechex(PHP_INT_MAX * 2 + 1)."\n";
echo dechex(pow(2, 32) - 1)."\n";
?>`

The above example will output:

    ffffffff
    ffffffff
    ffffffff

### See Also

- hexdec() - Hexadecimal to decimal
- decbin() - Decimal to binary
- decoct() - Decimal to octal
- base_convert() - Convert a number between arbitrary bases

decbin
decoct
Math Functions
PHP Manual